OpenTTD Source: src/saveload/labelmaps_sl.cpp File Reference

OpenTTD Source 15.0-RC2

Data Structures | Functions | Variables
labelmaps_sl.cpp File Reference

Code handling saving and loading of rail type label mappings. More...

`#include "../stdafx.h"`
`#include "saveload.h"`
`#include "compat/labelmaps_sl_compat.h"`
`#include "saveload_internal.h"`
`#include "../rail.h"`
`#include "../road.h"`
`#include "../newgrf_railtype.h"`
`#include "../newgrf_roadtype.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Data Structures
struct | RAILChunkHandler
struct | ROTTChunkHandler

## Functions
void | AfterLoadLabelMaps ()
| Perform rail type and road type conversion if necessary.
const ChunkHandlerTable | _labelmaps_chunk_handlers (labelmaps_chunk_handlers)

## Variables
std::vector< LabelObject< RailTypeLabel > > | _railtype_list
std::vector< LabelObject< RoadTypeLabel > > | _roadtype_list
static const RAILChunkHandler | RAIL
static const ROTTChunkHandler | ROTT
static const ChunkHandlerRef | labelmaps_chunk_handlers []

## Detailed Description

Code handling saving and loading of rail type label mappings.

Definition in file labelmaps_sl.cpp.

## Function Documentation

## ◆ AfterLoadLabelMaps()

void AfterLoadLabelMaps | ( |  | ) |

Perform rail type and road type conversion if necessary.

Definition at line 27 of file labelmaps_sl.cpp.

References ConvertRailTypes(), ConvertRoadTypes(), SetCurrentRailTypeLabelList(), and SetCurrentRoadTypeLabelList().

Referenced by AfterLoadGame(), and ReloadNewGRFData().

## Variable Documentation

## ◆ _railtype_list

std::vector<LabelObject<RailTypeLabel> > _railtype_list
| extern

Definition at line 188 of file newgrf_railtype.cpp.

## ◆ _roadtype_list

std::vector<LabelObject<RoadTypeLabel> > _roadtype_list
| extern

Definition at line 219 of file newgrf_roadtype.cpp.

## ◆ labelmaps_chunk_handlers

const ChunkHandlerRef labelmaps_chunk_handlers[]
| static

Initial value:
= {
RAIL,
ROTT,
}

Definition at line 112 of file labelmaps_sl.cpp.

## ◆ RAIL

const RAILChunkHandler RAIL
| static

Definition at line 109 of file labelmaps_sl.cpp.

## ◆ ROTT

const ROTTChunkHandler ROTT
| static

Definition at line 110 of file labelmaps_sl.cpp.